#ifndef _HW4_H_ 
#define _HW4_H_

#define MAX_NAME_SIZE 32
#define MAX_PREFERENCES 4  /* maximum number of prefered dance partners */

#define MAX_DANCERS 32   /* maximum number of dancers in the tournament */
#define MAX_PAIRS MAX_DANCERS/2

typedef struct dancer {
	char name[MAX_NAME_SIZE];
	int id;
	int preference_ids[MAX_PREFERENCES];
	double dancing_ability;
} dancer_t;

typedef struct dancing_pair {
	dancer_t *dancer1; 
	dancer_t *dancer2;
} dancing_pair_t;

void generate_dancers(dancer_t dancers[], int size, unsigned int srand_seed);
double get_random(double min_value, double max_value);

#endif
